import { BaseProvider } from '#templates/base/provider';
import { NotificationDeliveryAttempt } from '#models/NotificationDeliveryAttempt';

export class NotificationDeliveryAttemptProvider extends BaseProvider<NotificationDeliveryAttempt> {
	public static instance: NotificationDeliveryAttemptProvider;

	public static getInstance(): NotificationDeliveryAttemptProvider {
		NotificationDeliveryAttemptProvider.instance ??= new NotificationDeliveryAttemptProvider();
		return NotificationDeliveryAttemptProvider.instance;
	}

	public static get model() {
		return NotificationDeliveryAttempt;
	}

	constructor() {
		super('NotificationDeliveryAttempt');
	}
}
